petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecStrideSet

Sets a subvector of a vector defined by a starting point and a stride with a given value

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecStrideSet(Vec v,PetscInt start,PetscScalar s)

Logically Collective on Vec

### Input Parameter

| v | - the vector
| start | - starting point of the subvector (defined by a stride)
| s | - value to set for each entry in that subvector

### Notes

One must call VecSetBlockSize() before this routine to set the stride information, or use a vector created from a multicomponent DMDA.

This will only work if the desire subvector is a stride subvector

### See Also

VecNorm(), VecStrideGather(), VecStrideScatter(), VecStrideMin(), VecStrideMax(), VecStrideScale()

### Level

advanced

### Location

src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages